/*
  Warnings:

  - Added the required column `name` to the `AssistantMonitoring` table without a default value. This is not possible if the table is not empty.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_AssistantMonitoring" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "monitoringId" TEXT NOT NULL,
    "name" TEXT NOT NULL,
    "content" TEXT NOT NULL,
    "description" TEXT NOT NULL,
    "interval" INTEGER NOT NULL,
    "isActive" TEXT NOT NULL DEFAULT 'S',
    "createdAt" DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" DATETIME NOT NULL
);
INSERT INTO "new_AssistantMonitoring" ("content", "createdAt", "description", "id", "interval", "isActive", "monitoringId", "updatedAt") SELECT "content", "createdAt", "description", "id", "interval", "isActive", "monitoringId", "updatedAt" FROM "AssistantMonitoring";
DROP TABLE "AssistantMonitoring";
ALTER TABLE "new_AssistantMonitoring" RENAME TO "AssistantMonitoring";
CREATE UNIQUE INDEX "AssistantMonitoring_monitoringId_key" ON "AssistantMonitoring"("monitoringId");
PRAGMA foreign_key_check;
PRAGMA foreign_keys=ON;
